# CICADA

### File

`src/app/_models/mappings.ts`

### Description

Action object interface

### Index

###### Properties

- action
- approval
- id
- role
- user

### Properties

action
`action: `string``
Type : `string`
Action performed

approval
`approval: `boolean``
Type : `boolean`
Action approval status.

id
`id: `number``
Type : `number`
Action ID

role
`role: `string``
Type : `string`
Admin's role in the system

user
`user: `string``
Type : `string`
Admin who initialized the action.

    interface Action {
      /** Action performed */
      action: string;
      /** Action approval status. */
      approval: boolean;
      /** Action ID */
      id: number;
      /** Admin's role in the system */
      role: string;
      /** Admin who initialized the action. */
      user: string;
    }

    /** @exports */
    export { Action };

# result-matching ""

# No results matching ""